Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class ValidateProperty

    java.lang.Object
      com.thaiopensource.validate.ValidateProperty

    public class ValidateProperty

extends Object

Provides common properties to control reading schemas and validation.

See Also:
  `Schema.createValidator(com.thaiopensource.util.PropertyMap)`, `SchemaReader.createSchema(org.xml.sax.InputSource, com.thaiopensource.util.PropertyMap)`, `PropertyMap`, `PropertyId`, `RngProperty`, `SchematronProperty`, `WrapProperty`

Field Summary
`static PropertyId<EntityResolver>` | `ENTITY_RESOLVER` Property specifying EntityResolver to be used for resolving entities.
`static PropertyId<ErrorHandler>` | `ERROR_HANDLER` Property specifying ErrorHandler to be used for reporting errors.
`static PropertyId<com.thaiopensource.resolver.Resolver>` | `RESOLVER` Property specifying Resolver to be used.
`static PropertyId<URIResolver>` | `URI_RESOLVER` Property specifying URIResolver to be used for resolving URIs.
`static PropertyId<XMLReaderCreator>` | `XML_READER_CREATOR` Property specifying XMLReaderCreator used to create XMLReader objects needed for parsing XML documents.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_HANDLER

    public static final PropertyId<ErrorHandler> ERROR_HANDLER

  Property specifying ErrorHandler to be used for reporting errors. The value to which this PropertyId maps must be an instance of ErrorHandler.

  See Also:
    `ErrorHandler`

### ENTITY_RESOLVER

    public static PropertyId<EntityResolver> ENTITY_RESOLVER

  Property specifying EntityResolver to be used for resolving entities. The value to which this PropertyId maps must be an instance of EntityResolver.

  See Also:
    `EntityResolver`

### URI_RESOLVER

    public static final PropertyId<URIResolver> URI_RESOLVER

  Property specifying URIResolver to be used for resolving URIs. The value to which this PropertyId maps must be an instance of URIResolver.

  See Also:
    `URIResolver`

### RESOLVER

    public static final PropertyId<com.thaiopensource.resolver.Resolver> RESOLVER

  Property specifying Resolver to be used. The value to which this PropertyId maps must be an instance of Resolver.

  See Also:
    `Resolver`

### XML_READER_CREATOR

    public static final PropertyId<XMLReaderCreator> XML_READER_CREATOR

  Property specifying XMLReaderCreator used to create XMLReader objects needed for parsing XML documents. The value to which this PropertyId maps must be an instance of XMLReaderCreator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD